package ru.yandex.qe.dispenser.domain.dao.bot;

import ru.yandex.qe.dispenser.domain.bot.Configuration;

public class SimpleBotConfiguration extends BotConfiguration<Configuration> {

    public SimpleBotConfiguration(final Configuration configuration) {
        this(configuration, false);
    }

    public SimpleBotConfiguration(final Configuration configuration, final boolean deletedInBot) {
        super(configuration, 0L, 0L, deletedInBot);
    }

    @Override
    public boolean isWithComponents() {
        return false;
    }

    @Override
    public SimpleBotConfiguration withDeletedInBot(final boolean deletedInBot) {
        return new SimpleBotConfiguration(getConfiguration(), deletedInBot);
    }

}
